---

kind: pipeline
type: docker
name: default

steps:
  - name: deploy
    image: appleboy/drone-scp
    settings:
      host: dragon.luj0ga.de
      username: www
      key:
        from_secret: ssh_key
      passphrase:
        from_secret: ssh_passphrase
      target: /srv/www/sites/maps.franconian.net/
      source:
        - '!.*'
        - '*'
      rm: yes
    when:
      event:
        - push
      branch:
        - main
